curl -X GET "https://api.onekhusa.com/sandbox/v1/core/connectors/GetAll" \
--header "Authorization: Bearer your-jwt-token" \
--header "accept: application/json" \
--header "Accept-Language: en"import requests
url = "https://api.onekhusa.com/sandbox/v1/core/connectors/GetAll"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onekhusa.com/sandbox/v1/core/connectors/GetAll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"connectorId": 769375,
"connectorName": "Airtel Money",
"connectorCode": "EEE",
"connectorDescription": "The mobile money operator supports the processing of disbursement and collection transactions",
"channelName": "Mobile Network Operator",
"channelCode": "M",
"switchMerchantId": "5554",
"logoBase64": "iVBORw0KGgoAAAANSUh....",
"logoFormat": "image/png",
"isActive": false
},
{
"connectorId": 769356,
"connectorName": "FDH Bank Limited",
"connectorCode": "FDH",
"connectorDescription": "The bank supports the processing of disbursement and collection transactions",
"channelName": "Bank",
"channelCode": "B",
"switchMerchantId": "FDHMW2233",
"logoBase64": "iVBORw0KGgoAAAANSUhE...",
"logoFormat": "image/png",
"isActive": true
}
]Get Connectors
This endpoint retrieves a list of supported connectors available on OneKhusa. These connectors represent the different payment channels and methods that merchants can use to process payment transactions.
curl -X GET "https://api.onekhusa.com/sandbox/v1/core/connectors/GetAll" \
--header "Authorization: Bearer your-jwt-token" \
--header "accept: application/json" \
--header "Accept-Language: en"import requests
url = "https://api.onekhusa.com/sandbox/v1/core/connectors/GetAll"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onekhusa.com/sandbox/v1/core/connectors/GetAll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"connectorId": 769375,
"connectorName": "Airtel Money",
"connectorCode": "EEE",
"connectorDescription": "The mobile money operator supports the processing of disbursement and collection transactions",
"channelName": "Mobile Network Operator",
"channelCode": "M",
"switchMerchantId": "5554",
"logoBase64": "iVBORw0KGgoAAAANSUh....",
"logoFormat": "image/png",
"isActive": false
},
{
"connectorId": 769356,
"connectorName": "FDH Bank Limited",
"connectorCode": "FDH",
"connectorDescription": "The bank supports the processing of disbursement and collection transactions",
"channelName": "Bank",
"channelCode": "B",
"switchMerchantId": "FDHMW2233",
"logoBase64": "iVBORw0KGgoAAAANSUhE...",
"logoFormat": "image/png",
"isActive": true
}
]Authorizations
Bearer authentication header of the form Bearer Token, Where accessToken is the access token used to authenticate the request.
Headers
Preferred language for the response
Response
Success Response (200)
Unique 6-digit identifier for the connector
550044
Display name of the connector
"Airtel Money"
Unique code identifier for the connector
"EEE"
Detailed description of the connector
"Test description"
Code of the payment channel
"M"
Name of the payment channel
"Mobile Network Operator"
Merchant ID for the payment switch
"5554"
Base64 encoded logo image
"iVBORw0KGgoAAAANSUh...."
Image format (PNG, JPG, etc.)
"image/png"
Whether the connector is currently active to processing transactions or not
false